Page MenuHomePhabricator

copies-rust: extract conflicting value comparison in its own function
ClosedPublic

Authored by marmoute on Nov 27 2020, 11:12 AM.

Details

Summary

First, that logic is complicated enough to be in it own function. Second, we
want to start adding alternative path within the merge code so we need this logic
easily accessible in multiple places.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Nov 27 2020, 11:12 AM
marmoute updated this revision to Diff 23822.Nov 29 2020, 6:13 AM
marmoute updated this revision to Diff 23870.Nov 29 2020, 3:29 PM
marmoute commandeered this revision.
baymax updated this revision to Diff 24117.Dec 8 2020, 6:04 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 24130.Dec 8 2020, 9:58 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit added a subscriber: pulkit.Dec 12 2020, 3:23 AM
pulkit added inline comments.
rust/hg-core/src/copy_tracing.rs
541

IIUC, s/p1/p2 right?

Alphare accepted this revision.Dec 14 2020, 4:21 AM

Agree with Pulkit on the comment

rust/hg-core/src/copy_tracing.rs
509

It's better to have a readable error string in unreachable! than nothing.

marmoute updated this revision to Diff 24211.Dec 14 2020, 6:16 AM
baymax updated this revision to Diff 24235.Dec 14 2020, 7:06 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 17 2020, 6:05 AM
This revision is now accepted and ready to land.Dec 17 2020, 6:05 AM